import 'package:flutter/widgets.dart';
import 'package:food_delivery_client/core/core.dart';
import 'package:food_delivery_client/feature/discover/presentation/pages/descover_page/discover_page.dart';
import 'package:food_delivery_client/feature/home/presentation/pages/home_page/home_page.dart';
import 'package:food_delivery_client/feature/profile/presentation/pages/profile_page.dart';
import 'package:food_delivery_client/feature/transactions/presentation/pages/transactions_page/transactions_page.dart';

import '../../../cart/presentation/pages/cart_page/cart_page.dart';

mixin MainPageMixins {
  final List<Widget> pages = [
    HomePage(),
    DiscoverPage(),
    CartPage(),
    TransactionsPage(),
    ProfilePage(),
  ];

  final List<String> activeIcons = [
    AppIcons.icHome,
    AppIcons.icDiscover,
    AppIcons.icCart1,
    AppIcons.icTransactions,
    AppIcons.icProfile,
  ];
}
